MDR Proxy - FW sidegrade tool
for Sony bluetooth headphones/earbuds

This tool as it can be downloaded from this page will only work on Windows. It can also work on other operating systems as long as the "node" binary is available (the command to run would be simply "node script.js". The "script.js" file can be found in the MDR Proxy tool zip archive, which can be downloaded below.

The process requires a modified Headphones app, however, which is available for Android devices only.


What is this?

You may've experienced yourself or heard about changes in the sound signature or degraded ANC functionality of Sony bluetooth headphones/earbuds after firmware updates. This tool allows us to install a previous firmware version (among some other minor stuff) for our devices.


How does it work?

Firmware updates are done via the Headphones app. The Headphones app first checks for updates, and if any are available then the updated firmware will be downloaded and then it will be transferred to your device.

This tool will sit between the Sony update server and the Headphones, intercepting requests done by the Headphones app to the Sony update server, and changing the data that will normally be sent back by the Sony update server, essentially tricking the Headphones app into doing an update, and eventually sending a different firmware file to the app (depending on the chosen option in the app).

Previous devices were checking for updates through an HTTP request, while newer ones are doing this through a HTTPS one. In order for this tool to be able to tell which requests are meant for the Sony server update, the Headphones app needs different a different certificate to be used for HTTPS requests.

Here is a table where you can check if for your device you need a modified Headphones app or the normal (unmodified) one.


MODELHEADPHONES APP
WI-1000XNormal
WF-1000XNormal
WH-1000XM2Normal
WH-H900NNormal
WH-CH700NNormal
WF-SP700NNormal
WI-SP600NNormal
WH-1000XM3Normal
WI-C600NNormal
WI-1000XM2Normal
WH-XB900NNormal
WH-XB700Normal
WF-1000XM3Normal
WH-H910NNormal
WH-H810Normal
WF-H800Normal
WH-1000XM4Modified
WF-SP800NModified
WF-1000XM4Modified
WF-LS900NModified
WH-XB910NModified
WF-L900Modified
WH-1000XM5Modified


Did you create this?

No, I found this project on Github, here. I translated the text from Chinese to English, while I also added more details regarding each option. I've also gone through the (not hard) work of modifying the latest Headphones app in order so the tool can intercept HTTPS request made by the Headphones app. I essentially tried to make all this more user-friendly.


Ok, what exactly can I do with this tool?

These are the available options:

1. Reinstall the firmware - this option will install the latest available firmware;
2. Install a firmware for a different region - newer devices are using the same firmware file for all regions, so this doesn't really benefit them. Some older devices are using different firmware files for different regions, like the WH-1000XM3, for example.

For devices which are using the same firmware files for all regions I assume that the device stores the region in a different part than the firmware, and then any different info/presets/voices for different regions are all present in the same firmware file and loaded based on the device's region. This would work in a similar way to regions on the Walkman players.

Update: It seems that some newer devices still have different firmware files for different regions, and there are older devices which are using the same firmware file for all regions. I've made a list for each device, together with the available regions.

ModelDifferent firmware for each region?
(and available regions)
WI-1000XYes (1, 2, 3)
WF-1000XYes (1, 3)
WH-1000XM2Yes (1, 2, 3)
WH-H900NYes (1, 2)
WH-CH700NYes (1, 2)
WF-SP700NYes (1, 3)
WI-SP600NYes (1, 2)
WH-1000XM3Yes (1, 2, 3)
WI-C600NYes (1, 2)
WI-1000XM2No (1, 2, 3, 4)
WH-XB900NYes (1, 2)
WH-XB700Yes (1, 2)
WF-1000XM3No (1, 2, 3)
WH-H910NNo (1, 2, 3)
WH-H810No (1, 3, 4)
WF-H800No (1, 3, 4)
WH-1000XM4No (1, 3, 4)
WF-SP800NNo (1, 3, 4)
WF-1000XM4Yes* (1, 3, 4)
WF-LS900NYes (1, 3, 4)
WH-XB910NYes (1, 3, 4)
WF-L900Yes (1, 3, 4)
WH-1000XM5No (1, 3, 4)
*starting with the 2.0.0 firmware


3. Install a certain firmware file - this allows us to install previous firmware files for our devices - a "library" with older firmware files is available (also thanks to the person which made and put this project on Github).


What do I need to do?

- First, download the MDR Proxy tool and the firmware library (if you want to install an older firmware).


Update log:
2023-07-12 - Added a more recent version of the Headphones app, that will work with MDR Proxy if the instructions are correctly followed (just updated my WF-1000XM4 to the Japanese version of the firmware, using option #3, "Install a certain firmware").
2023-02-28 - MDR Proxy stopped working after the last update. It's been fixed now.
2023-02-11 - Added the latest Headphones app (9.3.0).
2022-12-09 - Added the 1.6.1 firmware version for WF-1000XM4 to the firmware library.
2022-10-01 - The Japanese region that normally exists in the MDR Proxy tool from Github is not available anymore for newer devices. However, it is available for newer devices but with a different id, so I've added it as the 4th option in the region choosing menu, together with the list above of available regions for each device.
_____________________

- Second, your smartphone and your computer should be connected to the same network. For example your computer could be connected to a router, and your smartphone could be connected to the Wi-Fi network of the same router.

- Third, check the first table above, and if you need to install the modified APK file, you can find it in the MDR Proxy ZIP archive which you can download above. Before installing this app, you need to uninstall the existing Headphones app.

- Then, follow these steps:

1. Unpack the downloaded MDR Proxy ZIP archive in a folder.
2. Unpack the downloaded MDR Proxy FW library ZIP archive folder in the MDR Proxy folder (only if you want to install an older firmware).
3. Go into the firmware library folder, find your device, and copy the chosen firmware file to the "firmware" folder located in the MDR Proxy folder (only if you want to install an older firmware).



4. Go to the MDR Proxy folder and double-click "MDR_Proxy.bat". It should look like this:


5.1 Type 3 and press Enter if you want to install an older firmware. In the next screen you will be able to choose the firmware file to install, which you've placed in the "firmware" folder at step 3.

5.2 Type 2 and press Enter if you want to install the latest firmware for another region - check the second table above to see what region is available for what device. In the next screen you will be able to choose the region.

5.3. Type 1 and press Enter if you want to reinstall the latest available firmware for your device.

6. After using each one of the 3 options, you should end up on this screen:


7. In your smartphone go to Wi-Fi settings for the network you're connected to, and find the "Proxy" settings (you may need to go to some "Advanced" menu, depending on your device).

Here, you need to set the following:

- IP: the local IP of your computer - on Windows you can check this with "ipconfig" in CMD (Windows + R, type "cmd", press Enter, then type "ipconfig" in the CMD window).
- Port: 8848



It should look like this in your smartphone's settings:



Once you have this set, connect your headphones/earbuds to the smartphone, and open the Headphones app. You should see a firmware update available. When installing an older firmware, you will be able to tell that the update comes from the MDR Proxy tool by the "Update from MDR Proxy" mention in the update details.



Before doing the update I recommend setting your headphones/earbuds to not turn off automatically when they are not worn, as the firmware transfer may not succeed (with no repercussions).




The firmware was transferred to the headphones/buds, then I started the update, but then it said that the update failed ðŸ˜¥

The Headphones app will say that the update failed, but it actually didn't. You can check the firmware version in the Headphones app by tapping the three dots in the upper-right corner, and then "MODEL Version" (like "WF-1000XM4 Version").

Especially after going through different firmware versions, I recommend resetting your device. For earbuds, you usually have to put them in their case, and tap on both buds for about 10 seconds. The case's light should go red/flash, and then the buds are reset. For other devices please refer to the instructions manual of the device.


Let me know if you have any questions in the comments section below, and enjoy!




219 comments:

  1. Hi, you got the source or the diff for the modified app? My Mail address is in my username.

    ReplyDelete
    Replies
    1. The source can be found on the Github page I mentioned in the post.

      Delete
    2. This is awesome! I'll give it a try. On 1.5.0 now, but I heard about the bass being dialed back as well as the ANC degradation in 1.4.2.

      Delete
    3. "MDR_Proxy.bat" file not found after unzip

      Delete
  2. How to confirm that the phone is connected to the computer's proxy is needed? My app keeps not receiving firmware updates for the WF1000XM4

    ReplyDelete
    Replies
    1. I have the WF-1000XM4 myself, went back to the 1.3.3 firmware.

      First, it could be an issue of not having the modified Headphones app installed - for these buds the update checking is done via HTTPS requests.

      Regarding your question specifically, my router can show what devices are connected to it, on the router's page (for example mine is accessible at 192.168.0.1, but you can confirm the address via "ipconfig", it should be the "Default gateway" address). Otherwise, I don't know, for example I know for sure which router transmits which Wi-Fi network.

      One more thing is that the proxy settings are also very important. Make sure you're setting the correct PC IP address.

      Delete
    2. Hey.I also encountered this problem. I follow your tutorial, but the modified version of the headphones is the firmware push information that does not prompt to downgrade. What should I do? Can you show a YouTube demo video? Thank you.

      Delete
    3. Just now, I reduced wf1000xm4 from 1.4.2 to 1.2.6, and succeeded. Thank you. I connected by connecting to the hotspot of my mobile phone. I used the router without success.

      Delete
    4. I finally solved the problem. The problem is when initiating the modified app I should select the same country as my headphones' previous software version.

      Delete
    5. What helped me was chaging the MAC address type to "Phone MAC" After changing that option, it connected, downloaded and installed right away.

      Delete
    6. Hello, I tried everything written in the post and in the comments to update the firmware of the headphones: I connected the smartphone and the computer to the same network, changed the proxy on the smartphone, used the modified application, followed all the instructions, turned off the computer's firewall, etc. Despite everything, when I open the application on my smartphone, no update message pops up.
      Please help me, I'm desperate...

      Delete
    7. i also want to mention that my region is israel, if it makes any difference. I tried to perform the process even after changing the region in the application to the United States or Japan, but without success.

      Delete
    8. I have issues with downgrading the firmware myself, I follow the procedure and even installed the modified Headphones app, set the proxy to the PC hosting the application but it still doesn't work or detect the update I'm trying to push.

      Delete
    9. Same, as above 3 comments. I have followed all the directions exactly as well as tried each of the solutions that every comment in this thread suggested (including using the phone as a hotspot) and including the suggestion of a youtube tutorial to try other firmware versions to downgrade too and yet no matter what I do the computer Batch file program will not recognize that the modified app is searching for an update, Please note that I am in the USA and my WF-1000XM4's are a replacement set that was sent to me earlier last year and came with FW version 1.4 installed and I recently installed directly to FW version 2.0 and I notice much worse battery longevity from this new FW version which is why I am trying to force downgrade to any other version and yet NO JOY!! Someone please help!

      Delete
    10. For them it should've been just a problem with the Headphones apk. I fixed the issue and reuploaded the MDR Proxy tool together with a new Headphones apk that works 100%. Now the only thing remaining is making sure you're doing the right proxy settings on your smartphone, as well as being connected on the same network with your computer.

      Delete
    11. AnonymousMay 09, 2023

      Updates are not listed in Headphones app which was available in package. Tried with 1000XM5. Proxy is configured as mentioned, anything extra required for XM5?

      Delete
  3. Can it change region wh 1000xm4?

    ReplyDelete
    Replies
    1. Unfortunately no. Please read all the info above, this is stated there.

      Delete
  4. did you roll back to 1.3.3 for any particular reason? If it happens to be because of the even battery issue due to what is claimed to be caused by version 1.4.2, did it solve it?

    ReplyDelete
    Replies
    1. I like the slightly stronger bass. I didn't have any battery issues on the 1.4.2 firmware

      Delete
  5. do you have or know where to download Firmware 2.0.6 bin for WH-1000MX4? tnx

    ReplyDelete
  6. I would like to express my gratitude for this software and the manual.
    Just tried it with new WF-1000XM4s - manufactury date of May 2022 and 1.4.2 out of the box.
    Reddit with all those threads about battery problems had me spooked and I decided to downgrade straight away to wait for 1.5.0
    Although, updater dialog of the modified app told me that update has failed, the firmware version is now being detected as 1.3.3 and with proxy disabled 1.4.2 is detected as a new version.
    A small notice - I ignored the "only works on Windows" and run the "script.js" through Node.js installation on my MacOS Monterey with visually no problems. My understanding is that the script does not do any Windows-native calls anyway.

    ReplyDelete
    Replies
    1. Yeah, from a normal user perspective it runs only on Windows in the form that I made it, but if you have node.js on other platforms then sure, you can run it.

      Delete
    2. Regarding the app saying that the update failed, I mentioned this above as expected behavior :D

      Delete
    3. how does it run on mac? i'm completely lost

      Delete
    4. You need to have "node" for Mac, then simply change directory to the MDR Proxy folder and run "node script.js"

      Delete
  7. I want to downgrade my wh_1000xm4 to 2.0.7, but I can't find any version available older than 2.5.0,I want to know where i can find the old version I need

    ReplyDelete
    Replies
    1. I'll try finding it, though for WH1000XM4 the update files have unique names, which could make it impossible to search for.

      Delete
    2. Thx, I downgrade to 2.5.0 and this version perform better than I expect.So I want to test if older version could be better. I try to seek but couldn't find a clue,I think give up seeking is a good idea now

      Delete
    3. i have same question with you

      Delete
    4. Same here, would love to be able to come back to 2.0.6 or 2.0.7 with my WH-1000XM4

      Delete
  8. Hi I'm a WF-1000XM4 user and interested in using this tool to downgrade to a previous firmware version (currently on 1.4.2 and facing severe battery drain issues).
    I wanted to know if using this tool could potentially bar any future official firmware updates from being installed? Also how do I revert back to 1.4.2 if the older version doesn’t solve the battery issue?
    Any guidance would be appreciated since I'm out of warranty and Sony in my country refuse to replace it for free so I'm forced to try this fix.

    ReplyDelete
    Replies
    1. Hey, you will be able to update normally in the future. You will be able to get back to 1.4.2 by just running the Headphones app alone, like you would normally do for official updtes.

      Delete
    2. Thanks will give it a shot. Also, as someone else has also asked, any chance you can get your hands on 1.5.0? As that seems to sort out battery drain issues for many people.

      Delete
  9. Hey! is there any way you can add firmware 1.5.0 for the wf-1000xm4? maybe contacting someone with it?

    ReplyDelete
    Replies
    1. Unfortunately we can't extract firmware from Sony headphones.

      Delete
  10. Ya viene una nueva actualización, se desconoce, solo se sabe que es en noviembre y ayudará a poder ejecutar el multipoint

    ReplyDelete
  11. thank you for this firmware. I have downgraded to 1.3.3
    had to use android phone. before finishing the update suddenly the L earbud from 77% went down to 20% battery.
    after finishing the update to 1.3.3 it went back to 80 or 77%

    ReplyDelete
  12. Thank you for this thread. However I tried it eveything but when I was opening a modified app I don't get a prompt of the firmware upgrade. I have wf-1000xm4 I am trying to downgrade them to version 1.3.3. Is the bat file supposed to be run as administrator? another thing is I don't have a router so I was using hotspot of another phone to connect my pc and the phone with headphone app, could that be a problem?

    ReplyDelete
    Replies
    1. Maybe try using the same phone for hotspot and the app. I'll try testing this.

      Delete
    2. This comment has been removed by the author.

      Delete
  13. I have update my Wf-1000XM4 to version 1.3.3 because while having version 1.4.2 it has fast battery drain issue on the left ear but turns out the issue still remains even with version 1.3.3. It has failed to downgrade the firmware at 60% though when checking the firmware version after down grade it shows 1.3.3. Not sure why mine still have the battery drain issue unlike others when they downgrade theirs.

    ReplyDelete
    Replies
    1. I have battery issues as well and got better results with 1.2.6 compared to 1.3.3. so you could try that. I found that downgrading from 1.4.2 doesn't really resolve the issue (since the battery is probably already cooked from the overheating problem) but definitely makes it more usable than it was.
      Right now with ANC and ambient sound off, I get close to 2 hours on the right bud and upto 6 on the left. Using ANC still completely wrecks the buds though, about 35 mins on the right and 2 hours on the left, even with 1.2.6.

      Delete
  14. If you facing not receiving the update, try turning off the firewall.

    ReplyDelete
    Replies
    1. I managed to update it, thank you.

      Delete
    2. How did you finally get it updated. I've tried turning off the firewall, but still cannot get to the update stage.

      Delete
  15. Is this for windows and android users only? I am a mac user with an iphone and have no idea how to accomplish this.

    ReplyDelete
    Replies
    1. +1

      I have the same situation - I only own a macbook and iPhone. I would be very grateful if you could tell me how to downgrade the firmware under these conditions.
      Sorry for disturbing.

      Delete
    2. It could be basically for Linux and Mac as well, as long as node.js is available on those platforms as well. I may add some info about it.

      Delete
    3. third line: "The process requires a modified Headphones app, however, which is available for Android devices only."

      Delete
  16. I get as far as to start installing the update after it's transferred, but it aborts when it fails to wake the right bud. Three attempts and it just won't.

    ReplyDelete
    Replies
    1. Try to disable auto shutdown, as described above.

      Delete
  17. Hi where can ı download a moded apk for connect ı am not able to find any that still has a working link. If you have one my email is on my name ı would really appreciate it.

    ReplyDelete
    Replies
    1. The APK is in the same ZIP as the tool. Please read all the info carefully.

      Delete
  18. Great job, thank you for that. I haven't done downgrade yet but instructions are pretty straight forward. I have battery issue, in one reply you suggested that you prefer ver 1.3.3 cause better bass. Is there any other software or other method to force WF-1000XM4 play louder?

    ReplyDelete
    Replies
    1. Hello, unfortunately there is no such method.

      Delete
  19. Hey, I'm running into an error with the modified APK.
    'The latest version of Headphones Connect is necessary to use this headphone. Update this app from Google Play.'

    Earphones are the WF-LS900N (Linkbuds S) on the latest 2.0.2 firmware. I'm trying to flash an older firmware.

    Thank you!

    ReplyDelete
    Replies
    1. Ok, I will update the APK as soon as possible.

      Delete
    2. Fantastic. Thanks for your quick response! Appreciate it.

      Delete
    3. Hello, I'm facing the same issue with the same buds. Is there a solution for it? Thanks.

      Delete
    4. do you have zalo or messenger so i can ask you for help but i have done it many times but still not working, hope you can help me.

      Delete
  20. Is it only me who is stuck at step: 4. Go to the MDR Proxy folder and double-click "MDR_Proxy.bat"

    there is no MDR_Proxy.bat

    ReplyDelete
  21. Oh I have found it :D it was in a october version

    ReplyDelete
  22. Mr walkman! Thank you! It is updating!!! Finally T__T Yesterday I failed to updated on my PC via router. Today I decided to try on laptop and it works!

    ReplyDelete
  23. So I connected my laptop and smartphone to the same WIFI. That was the solution. Again, many thanks ^^.

    ReplyDelete
  24. Hi, I'm on Windows 7 and the bat file won't launch. It says "Exited with error. Make sure only one instance of the app is open".

    I don't know what app it's talking about but I'm not opening more than one. I want to use this tool to install the 1.61 update to my WF1000XM4. The Heaphone app notified me of that update but it was not even available for download, hence I need this tool. I was glad to have found this but I can't launch the bat file to get going. Hopefully you see this.

    ReplyDelete
  25. Try going in CMD, then change directory to the MDR Proxy folder (with "cd path_to_folder"), then type "node script.js".

    ReplyDelete
    Replies
    1. Thank you! It worked. I still had to download Node.js version v13.14.0 (last update compatible with Windows 7), then followed the guide on how to set the NODE_SKIP_PLATFORM_CHECK environment variable to 1 which skips the version check to get the bat file running.

      Delete
  26. Thank you very much, it worked, now it is installing, I had the same error as Marshall and followed his instructions and yours.

    ReplyDelete
  27. The app has successfully transferred (100%) an update, but I'm having an installation failure at 67%. I've tried several times and various version (1.6.,1.3., 1.1.), again at the same 67%. Is it programmed to stop at 67%? Mystery.

    ReplyDelete
    Replies
    1. Check the version after the update. It will always show that it failed, but it succeeds if the buds are not turning off automatically or something.

      Delete
    2. ooh! Thank you a lot! It works :D

      Delete
  28. Is there any way to reset firmware update? I installed firmware for the wrong device by mistake and obviously all control over the device (WH-1000XM4) is gone.

    ReplyDelete
    Replies
    1. https://helpguide.sony.net/mdr/wf1000xm4/v1/en/contents/TP1000428696.html

      Have you tried this?

      Delete
    2. I see that you made the same mistake I did:) It's wH-1000xm4, not wF-1000xm4. But firmware on them now is for wf-1000xm4...

      Delete
    3. i did the same mistake, did you guys fixed it somehow and gained back control?

      Delete
    4. Hey MrWalkman any ideas in this situation?

      Delete
    5. I have no idea how that could be fixed by us. In the current situation, if the headphones cannot be connected to a smartphone, I don't think there is anything to be done.

      Delete
    6. Update in this situation,
      couldn't find any info in regards to revive after wrong firmware upgrade,
      after wrong upgrade headphones became unresponsive and eventually ran out of battery and won't charge, So contacted sony saying that headphones just died and won't charge or turn on and got them in warranty replacement process started, currently they are in transit to sony, will update when I receive them back.

      for those wondering that my headphones are out of warranty what do i do ( my situation too ),
      Please do this on your own discretion, I am not responsible if you get in trouble for doing this, but i have done this multiple times in two countries and worked for me.
      major condition under which it should work: you have never claimed warranty on your product or contacted sony for the same headphone (same serial number) .

      i edited my amazon bill to have a later date like i originally bought my headphones in october 2021 and warranty expired in october 2022 but i changed the bought date to February 2022, just enough to claim warranty.
      And please don't do this again for the same headphone, coz you are now in their system and chance of getting caught increases and i am not sure what happens if this happens.

      !!!!!!!!!! you've been warned please do this at your own risk !!!!!!!!!!!!

      And two request to MrWalkman:
      1. Feel free to remove this comment if this info feels inappropriate.
      2. In the firmware folders please add a text in front of folders like wh1000xm4(headphone) and wf1000xm4(earbuds), So stupid people like me don't ruin their product.

      Thankyou

      Delete
    7. Second Update:
      received the brand new replacement wh-1000xm4 in mail

      Delete
  29. Hi. I have a model .... I installed firmware version 1.6.1 and the sound became worse, like from a barrel. I was annoyed by the hissing of the left earpiece when noise canceling was turned on, but nothing changed. I rolled back the version to 1.3.3 but it didn't help either. Now my left earpiece is constantly making noise and the sound has become much worse. what can be done about it??

    ReplyDelete
    Replies
    1. You could try resetting the buds, I have no idea why the sound would change. Are you sure it's not just bias of some sorts? To reset, put both buds in the case, keep the case lid open, then tap the touch area of both buds for about 10-20 seconds, until the case light blinks red a few times.

      Delete
    2. no, it's not prejudice. I know for sure that the sound has changed. I tried to reset the headphones several times but nothing helps. the sound became like from a barrel and the constant crunching noise from the left earpiece annoys me a lot.

      Delete
    3. Well, I don't know what to say, this tool can't cause something like this, it just simulates and update like it's from Sony, and the update file is as Sony released it, so it's something related to the 1.6.1 fw and your buds.

      Delete
  30. Hi there, everythings goes fine until the app tries to start the upgrade (negative % counting), but then the app keeps crashing. What could I do wrong here?

    ReplyDelete
    Replies
    1. Hey, I have no idea why the app would be crashing to be honest. I would advise trying on another smartphone. About the negative % counting, that's ok.

      Delete
    2. just to follow up on that, the problem was an outdated smartphone (Fairphone 2), with a newer one it worked. Thanks!

      Delete
  31. Hi,
    I have Sony WF-1000XM4 with firmware V.1.5.0 and I want to update it to v. 1.6.1
    I have 2 questions:

    1- Is there a file for V. 1.5.0 to download if anything goes wrong with the update? because I couldn't find it anyware.

    2- What if I used this tool for the update, can I still receive future official updates from Sony through their app?

    ReplyDelete
  32. just dg my wf-xm4 buds from 1.6.1 (right after automatic download and install left bud turned to 0% in about 50mins) to 1.3.3.
    had the same behaviour as said above:
    1.when was 67% update suddenly failed and the left bud showed from90%~to 20%.
    2.the current ver. is 1.3.3(update succeed i guess)
    3. i restarted the app. did bud's reset-in-case. connect again and left bud now shows 70%...
    4.i just played music for the test and in about 20mins left bud turned off because of no charge.

    it means that nothing happened even by downgrading from 1.6.1 to 1.3.3...

    but thanks to author for this thread as a hope for us

    ReplyDelete
  33. Yeah, I know that if you have the battery drain issue, no update will help you in that situation. It is what it is unless you contact Sony for fixing or replacing your unit.
    But mine is a brand new with V.1.5. It was a replacement for my old defective one.
    So I asking about upgrading my (new one) from V. 1.5.0 to v.1.6.1

    ReplyDelete
  34. my headset has a crackling sound on version 1.4.2 . I hope the update is done. very upset because they went to warranty they just reset the headset and the problem was not fixed

    ReplyDelete
  35. Hi! I followed everything but it still doesn’t work. And is it normal to have no internet connection after changing the proxy settings?

    ReplyDelete
  36. It doesn't work for me too. App just prompts to update from Play Store.

    ReplyDelete
  37. I don't quite understand the 7th step.
    What should I set?
    Also, I live in Japan and have the USA version of the WF-1000MM4.
    I would like to update to 1.6.1.
    Can I use a proxy in Japan?

    ReplyDelete
  38. How do i get the modified app? I clicked the Github link but confused what to download

    ReplyDelete
    Replies
    1. Once you download MDR_Proxy_MRW_v1b file, it's in the folder named "Headphones_app". Uninstall the app on your phone and install that one.

      Delete
    2. Read everything first before starting to do stuff.

      Delete
  39. Got it to work. Downgraded back to 1.3.3 and it's working like it used to. Thank you so much.

    ReplyDelete
  40. So my wf-1000xm4 now say v1.6.1. I dont understand why a reset is needed as the device appears to be working on the new firmware.

    ReplyDelete
  41. I downgraded my wf 1000 xm4 from 1.4.2 to 1.2.6. My battery drain issues are resolved now. Thank you so much. This saved my earbuds.

    ReplyDelete
  42. hey im on ios dont have an android device, i am jailbroken though anyway i can get any files? i tried to use bluestacks but then i figured out theres no bluetooth option for emulators like that, thank you

    ReplyDelete
  43. If you pc/laptop has a wifi chip instead of "Connecting to the same router" you could set up and connect to the hotspot instead and follow the same steps.

    After installing the modified apk it worked for my WF-1000XM4. I just hope it solves my battery drainage issue

    ReplyDelete
  44. Thanks a lot.

    ReplyDelete
  45. Hey, I just updated my WF-1000XM4s from 1.4.2 to 1.6.1, but during installation at ca. 60-70% it said failed, but the version number in the app says 1.6.1
    Do i have to worry about anything?

    ReplyDelete
    Replies
    1. mine did same and my right earbud battery was still shot to shit. I'm in the process of downgrading to 1.3.3 now. If you don't hear back from me, it means upgrading 1.4.2 to 1.6.1 did nothing but show a different firmware version in the app. But downgrading from 1.6.1 to 1.3.3 worked (for me)

      Delete
    2. Good to know its not just me and i didnt do anything wrong. Fortunately my xm4s never had any battery drain issues. They also work just like before with 1.4.2
      I could imagine they just report 1.6.1 but are still 1.4.2 but I could be wrong

      Delete
    3. I mentioned above that the update will say it failed, but it's actually successful. It can't just show 1.6.1 if it's not really installed.

      Delete
  46. Hello. I want to downgrade the firmware from Sony WH-1000XM3 4.5.2 to 2.0.0, but I don't understand if I have to install the modified headphones apk (which comes in the MDR proxy folder) or headphones (original) from google play? or install a specific version of the headphone? so that it recognizes the 2.0.0 update?

    ReplyDelete
    Replies
    1. I just updated the APK.

      Delete
    2. still doesn't recognize update 2.0.0

      Delete
    3. There was something wrong, it's been fixed. Redownload the tool.

      Delete
  47. im not able to access internet after applying the proxy settings any help?

    ReplyDelete
    Replies
    1. im getting multiple paragraphs after typing ipconfig each of which show their own ipv4 address. Im trying this by having a LAN connection to my laptop and using a mobile hotspot from the laptop to my phone....

      Delete
  48. Tried everything I can but not able get the update prompt to appear. I am using the modified app and made sure my proxy is configured. After changing the proxy, the connected Wifi shows that it is connected without internet. Is this causing the issue?

    ReplyDelete
    Replies
    1. Try turning off firewalls. It worked for me.

      Delete
  49. I have a WF-1000XM4 with the version of 1.4.2 initially. I successfully installed (failed at the percentage around 60%- 70% though) v1.6.1, v1.3.3, v1.2.6 and none of them solved my battery draining issue of the left earbud. Could anyone help me solve my problem? I reset my device each time I upgraded.

    ReplyDelete
    Replies
    1. He pasado por lo mismo, la solución es llevarlo al servicio técnico, los míos estaban en garantía, en 9 días me los han devuelto, han cambiado el auricular izquierdo por uno completamente nuevo, ahora al izquierdo le dura un poquito más la batería que al derecho.

      Delete
    2. Gracias. Buscaré en la web cómo solicitar las reparaciones.

      Delete
  50. Hi, I can't get the app to work on a WF-L900 (LinkBuds). I used the Modified APK provided in the zip. My LinkBuds has an issue probably due to the latest update (2.0.2). The left earbud drains battery like crazy, even if not in use. When on the case, it drains the case battery. I'd like to downgrade it but the option doesn't appear in the app. I have done the proxy on my phone and can confirm that the phone indeed cannot receive internet connection due to the proxy. This is on wifi so essentially the same network of my pc.

    ReplyDelete
    Replies
    1. Btw, where can I download an old modified headphone app? I'd like to try the older apps maybe it'll work there.

      Delete
    2. Old version (modified) is almost impossible to find, there are only original apks. Search in google: headphones sony connect apkmirror and enter the page and you will get a list of versions (from the current version to the oldest), you see what version you are looking for specifically

      Delete
    3. Update: I just used the chinese version instead.

      Delete
    4. I saved you. You need download https://4pda.to/forum/index.php?showtopic=1024713&view=findpost&p=112017814 , that work in 23/03/23.

      Delete
    5. There was something wrong, it's been fixed. Redownload the tool.

      Delete
    6. it seems that the new software still has problems with linkbuds after updating it still shows the old software

      Delete
  51. Hi,

    Impossible to get the upgrade popup, I can see my phone connected to the proxy (via netstat). But no possible to upgrade or downgrade my firmware....
    still on this f***ing 1.4.2.

    Is there a way to force it ?

    my setup :
    WF-1000XM4 in france
    The modified APK from the mdr Proxy MRW v1b_11.02
    Tried to use 2 and 3 options with 1.3.3 or 1.6.1

    test done on W11.

    where did i go wrong ?

    ReplyDelete
  52. Unable to get the popup for upgrade in app. swictched off firewall, tried connectiong to hotspot, saved region same as that of the headphones and still unable to get update

    ReplyDelete
  53. Hey mrwalkman, you made a mistake with the mdr proxy latest version, if I take the chinese .js file and copy the entire "const infoXML" over then I can finally update, else it wont trigger an update in the app. the difference is in the files, custom_ and you are using http instead of https. Probly why so many are complaining, and not their pc settings. https://pastebin.com/mhGcb9tf

    ReplyDelete
    Replies
    1. Salut, tu peut m'expliquer en détail comment mettre à aussi, je suis pas développeur merci.

      Delete
    2. For anyone having problem with XM4s download older version of MDR here: https://mega.nz/file/y24XXaBR#7fqrxQTVaICaww-4bjvZ2cMH380m0e2py-N4qPRKkuc

      Delete
  54. Hey, I believe your apk version has issues with the self-signed certs, because the original `mdrproxy.js` from Github immediately pushed the downgraded firmware when using the 9.2.7 version from the releases page. But your apk 9.3.0 does not seem to send any requests to the fake proxy server, it only connects to the proxy server. Manually sending a cURL get request to `/disclaimer.xml` proves that there is no issue with the fake proxy server itself. Just the apk 9.3.0 not sending any requests.

    ReplyDelete
  55. I tried using the mdr 9.2 instead of the 9.3 and it did the trick

    ReplyDelete
    Replies
    1. You mean apk 9.2.0? Where is the link for that version besides the latest one?

      Delete
    2. https://github.com/lzghzr/MDR_Proxy/releases

      Delete
    3. Good catch! the older release worked for me immediately.

      Delete
  56. For anyone having problem with XM4s download older version of MDR here: https://mega.nz/file/y24XXaBR#7fqrxQTVaICaww-4bjvZ2cMH380m0e2py-N4qPRKkuc

    ReplyDelete
  57. Is it possible to get anywhere the 1.3.0 or 4.2.2 firmware for the XM3 ???
    Here in the firmware library there is only the 2.0.0, 4.1.1 and 4.5.2

    ReplyDelete
  58. Who does not work, download this version. https://4pda.to/forum/index.php?showtopic=1024713&view=findpost&p=112017814

    ReplyDelete
  59. version 2.0 with multicast or whatever that lets you connect your phone and laptop at the same time... is available. I just upgraded. Thanks guys!

    ReplyDelete
  60. Hi MrWalkman, im follow your guide, config proxy same IPv4 of my PC and install app APK in android phone. when i open app Headphone, no update version of WF1000XM4 to show :(

    ReplyDelete
    Replies
    1. There was something wrong, it's been fixed. Redownload the tool.

      Delete
    2. YESSSSSS MERCI CA MARCHE

      Delete
  61. i just tried to downgrade my WF1000xm4 , i followed all the steps and used the provided apk and updated the proxy , but once
    i connect the buds no update is being shown.

    ReplyDelete
  62. Tried everything but my WF-1000XM3 can't find the update. Tried iOS, android with the modified APK but sill no update. Any hints?

    ReplyDelete
  63. I have used MDR Proxy tool to update from 1.4.2 to 1.61.
    However, I have received a new firmware 2.0 update now and I had downloaded it on the MDR Proxy headphones connect app. While going to install, I get an error dialog box needing me to update to headphones connect app version 9.3 from play store. When I do that, it says unable to install.

    Can I use play store to install the app or do I need to download the MDR Proxy Connect app 9.3?

    ReplyDelete
    Replies
    1. Nevermind.
      Installing using your link to9.3 worked. Cheers!
      Thanks a lot for the unhindered service provided. Owe the amazing headphones experience to you.

      Delete
  64. Hi Mr Walkman, Thanks so much for this guide and for this thread (which I notice you always try to answer, which is too kind)! Anyhow I have followed your directions to a tea and I also have tried each of the suggestions that every comment in this thread suggested including but not limited to;
    -using the phone as a hotspot, or using the PC as a hotspot,

    -trying to downgrade to a different version other than the one I am trying to end up on

    uninstalling and reinstalling the newest modified headphones app you have provided in the updated above link

    Forgetting and then re-pairing the bluetooth headphones yet no matter what I do the computer Batch file program will not recognize that the modified app is searching for an update,

    Please note that I am in the USA and my WF-1000XM4's are a replacement set that was sent to me earlier last year and came with FW version 1.4 installed and I recently installed directly to FW version 2.0 and I notice much worse battery longevity from this new FW version which is why I am trying to force downgrade to any other version and yet for some reason the MDR Proxy simply will not notice the app searching for an update, therefore I never get a popup in the app to update. Has anyone actually used this to downgrade the sony wf-1000xm4 headphones from FW 2.0 back down to a previous version? Thanks

    ReplyDelete
  65. Hi MrWalkman,
    I've tried your method last October with my WF-1000XM4, it did downgrade properly, but can't change the region. I see you updated the 2.0 firmware with 3 region firmware, but it still does not do the trick, it do changes the language to English, but still not support Google Fast Pair, which should be available when successfully changed the region, I suspect the region info is isolated from the firmware and stored somewhere else.

    ReplyDelete
  66. tried doing the above procedure after updating to 2.0, now nothing happens. i cant downgrade it from old version

    ReplyDelete
  67. I'm having the same problem as the above couple messages. The modified app does not give a pop-up about an update being available. I noticed that when I look at the Mobile Data & Wi-Fi option in the app info settings, it said zero data has been used. I'm guessing that means the app isn't even attempting to run a check for updates.

    ReplyDelete

  68. How to downgrade from the 2.0 firmware to 1.3.3 .? after do everything in your description i never got notify update.
    Need help pls......

    ReplyDelete
    Replies
    1. I am having the same issue as the above 5 people. Before I updated to 2.0 (on xm4 buds) your updated app (newest version you released) and your instructions worked flawlessly every time (I tried multiple different firmware's both upgrading and downgrading multiple times) but now that I upgraded to version 2.0 your app no longer finds any updates when I try to downgrade like before. Is it possible that the 2.0 firmware somehow breaks your apps ability to locate and upgrade or downgrade firmware? Thanks

      Delete
  69. I've read your guide, switch off the firewall, downloaded the modified app, watched Mr Walkmans video and still can't get it to work to downgrade Sony wf 1000xm4 firware. Does it work with Sony latest firmware for this device 2.0.4? Is there another port than 8848. The tablet just does not see my PC

    ReplyDelete
  70. Just like everyone else, I am not able to downgrade my WF-1000XM4 from 2.0.0 to 1.3.3. Please fix the issue

    ReplyDelete
  71. I haven't tested MDR Proxy specifically with the 2.0.0 firmware. It sounds weird that it just stopped working since the 2.0.0 firmware, and only with the WF-1000XM4, but anyway.

    My grandma died on Friday evening, on Saturday and Sunday I had almost no time for myself except some little in the evening, then on Monday we buried her, and since Tuesday I am back to work. I will try investigating this in the weekend.

    ReplyDelete
    Replies
    1. My condolences.

      Here some information that might help you with your investigation. I used the MDR Proxy and headphone app posted by lzghzr on github and I was able to downgrade my buds from 2.0.0 to 1.3.3

      Delete
  72. Thanks so much for trying to take a look at the app and figure out what is going wrong Mr Walkman, and I am so very sorry for your loss, and I hope you are able to find more time to grieve. I have been coming back for several weeks since I left the message up above (the one comment with Joshua as the name) trying to see if anyone has found a workaround for my WF-1000XM4 because ever since I updated from version 1.4.2 to version 2.0.0 my battery definitely does not last as long as I do not use the new Double connect feature anyway so I would prefer to go back to 1.4.2 or to 1.6.1 which I hear actually improved the battery performance instead of making it worse. Anyhow thanks again and I will keep checking back to see when you have found some time to look into the issue. Take Care

    ReplyDelete
  73. Which one better bass for wfxm 4..?
    1.3.3 or 1.4.2
    Because since the fw 1.6. to 2.0 lacking so much bass. And the funny thing is u get little boost bass when ANC/ambien on but still weak as f

    ReplyDelete
  74. Hi Mr Walkman, sorry for your loss i wish you and the family the best at this time.

    I too have the 1000XM4 running version 2.0 and can't get the sidegrade tool to work. My left headphone has a serious battery issue where it'll last 20 minutes before switching off.

    ReplyDelete
  75. Anyway this can work if I'm using an iPhone 14? Got a replacement WF-1000XMF with v1.4.2 factory installed. I read that this version of the software is the one causing the battery drain issues, so trying to get to v1.6.1 (and not 2.0, which seems to have screwed up my previous headphones). Thanks.

    ReplyDelete
  76. RIP me, I tough that by downgrading from 2.0.0 the battery drain would be resolved, tried 1.6.1 and 1.3.3 but no luck at all...
    The worst part is that in my country Sony don't sell the WF-XM4.

    ReplyDelete
  77. Keep trying to downgrade but the battery on the the right earpiece just dies and it fails every time.
    Before the last firmware update they worked just fine. So frustrating for such an expensive product.

    ReplyDelete
  78. AnonymousMay 01, 2023

    I can't find FW 2.0.0 of WF-1000xm3?

    ReplyDelete
  79. Can you find any other firmwares for WH 1000XM4 apart from 2.5.0?

    ReplyDelete
  80. AnonymousMay 09, 2023

    Le instale la versión 1.3.3 a los Sony wf-1000xm4 y todo funciona bien exceptuando que cada ves que toco el sensor de los auriculares para hacer cualquier acción me dice que remplace el dispositivo 2. Por qué seria eso?

    ReplyDelete
    Replies
    1. AnonymousMay 18, 2023

      Español
      Yo también baje a esa versión (2.0.0 a 1.3.3) y me pasa lo mismo que a ti, supongo que no se actualizo correctamente o algo. En mi caso, esa versión no se corrigió el problema del audífono izquierdo, ni el problema con la batería. Yo los compre en México. Si tu los compraste en alguna región de Latinoamérica, puede que tenga algo que ver.

      English
      I also downgrade to that version (2.0.0 to 1.3.3) and it happens the same thing. I think that it did not update correctly or something. In my case, that version did not correct the problem of the left ear or the problem with the battery. I buy them in Mexico. If you bought them in any region of Latin America, it may be related.

      Delete
  81. AnonymousMay 09, 2023

    Worked perfect to roll back my WF-1000XM4's to 1.6.1. Thank you for providing such a tool. Now I can only hope the downgrade actually improves the battery drain issue after the 2.0.0 update...

    ReplyDelete
    Replies
    1. AnonymousMay 18, 2023

      Did it worked ? I heard that the 1.6 version do not fix the battery problems at all. And for the Update log:
      "2023-02-28 - MDR Proxy stopped working after the last update. It's been fixed now."
      I tried to follow the guide strictly and could not do it. Do you have any advice ?

      Delete
  82. AnonymousMay 19, 2023

    Hello, after my wf1000xm4 was downgraded from version 2.0 to version 1.2.6, the function of headphones detecting the fit between earbuds and ears will not work properly, but updating to 2.0 can work again. All functions of version 1.2.6 before upgrading 2.0 are normal. What should I do? Thank you.

    ReplyDelete
  83. Had the WF-L900 and the latest firmware (2.2.0) broke my left earbud completely (no bass at all). Just now out of warranty so support won't help... Tried to go through this to downgrade but the modified app won't allow me to connect my earbud, claiming it needs the latest version. I guess the firmware blocks this method now.

    ReplyDelete
  84. I have downgraded the firmware to 1.3. by connecting windows mobile hotspot to my phone.. and used hotspot's ipv4 address as proxy

    ReplyDelete
  85. AnonymousJune 02, 2023

    Since you have modified the apk in order to download the previous firmware versions, can I reinstall the headphones app from the play store and still see the same downgraded version? or my device doesn't work?

    ReplyDelete
  86. AnonymousJune 05, 2023

    Thank you MrWalkman and the github contributor for this excellent piece of software. IMPORTANT INFORMATION : Windows Firewall must be disabled for this firmware downgrade to work. If the firewall is enabled, no matter which connections you allow, the downgrade will not work. It took me 5 hours to figure this out as it was not mentionned in the instructions.

    ReplyDelete
  87. AnonymousJune 08, 2023

    I have a salvaged pair of wf-1000xm4 that Sony would not cover for the battery drain issue. I could watch the battery percentage drain in the headphone app; about 2%/minute. Downgraded to 1.4.2, same issue. Downgraded again to 1.3, and so far the battery seems to be back to "normal". I've been at 46% while listening to music on a single bud for ~10 minutes. This is huge.

    FWIW, I have 1500+ hours on my set, probably less than 200 of those were after the battery started getting weaker.

    Downgraded 2.0 to 1.4.2
    Reset headphones, tested, no better.
    Downgraded 1.4.2 to 1.3.3
    Changed voice guide language to spanish and back to english (to alleviate the voice prompt about 2nd device on tap).
    Rejoiced.

    ReplyDelete
    Replies
    1. AnonymousJune 16, 2023

      How to get rid of "bluetooh drive two replay" message
      Thanks u

      Delete
  88. AnonymousJune 16, 2023

    Hello, I use wf1000xm4 firmware 2.0.0
    Then I downgraded the version to 1.3.3 and i noticed it has an error, when I hold down on any left or right it says "bluetooh drive two replay"

    ReplyDelete
  89. AnonymousJune 17, 2023

    I can't get the update to pop up. I've done exactly as the instructions say. Tried all the versions available for the wf1000xm4 but I think the proxy setup doesn't work for me for some reason.

    ReplyDelete
  90. AnonymousJune 22, 2023

    Hey could you fix this problem? 'The latest version of Headphones Connect is necessary to use this headphone. Update this app from Google Play.' with the latest update (3.0.5 for Linkbuds S) the ANC has a wind noise

    ReplyDelete
  91. AnonymousJune 23, 2023

    I tried this, and am still receiving the "Update to firmware 2.0.0" for my WF-1000XM4s. I installed the modified apk, configured IP proxy hostname and Port numbers. I am not sure where I am going wrong.

    ReplyDelete
  92. AnonymousJune 26, 2023

    Thanks man, much appreciated. Sony firmware is rather bad and finicky. This allows me to just pick the one that works best for me.

    ReplyDelete
  93. AnonymousJune 28, 2023

    How to make a modified Headphones App ???
    I need to do it with the 9.5.0 Version.
    Because i updated my Linkbuds S to Firmware 3.0.5 and now it is only possible to Connect with Headphones App 9.5.0.
    The Linkbuds Firmware 3.0.5 ist Not so good so i would prefer to Downgrade Firmware

    ReplyDelete
    Replies
    1. AnonymousJuly 06, 2023

      I have this problem too. After upgrade newest firmware connection beetwen my smartphone and headphones is very unstabile and now i can't downgrade..

      Delete
  94. AnonymousJune 29, 2023

    Hey, man.... These links seem to have stopped working.
    Any solution? Or will they be revived?

    ReplyDelete
    Replies
    1. The links are fine, I just tested them.

      I will update the app soon.

      Delete
  95. Any fix for my app showing 2.0.0? Instead of the version I selected?

    ReplyDelete
  96. AnonymousJuly 05, 2023

    Having difficulty in getting Firmware installation on WF 1000XM4 to complete, it hangs on 51%, even after several attempts. Any advice please

    ReplyDelete
  97. AnonymousJuly 08, 2023

    Hello, have problem. On computer show this after choosing firmware:

    Exited with error.
    Make sure only one instance of the app is open.

    How can i fix this?

    ReplyDelete
  98. AnonymousJuly 15, 2023

    Can the firmware file for WF 1000XM4 be updated please for the latest release 2.0.1

    ReplyDelete
  99. AnonymousJuly 16, 2023

    the new Headphones App update (July 12th) keeps showing that it requires an update through the Play Store, i have tried it on 5 different devices. if anyone has Linkbuds S and wants to share information to fix their headphones, please add me to discord, i have been unable to fix the problem for many months. ignacius29 is my discord id.

    ReplyDelete
  100. AnonymousJuly 20, 2023

    Can't install the modified apk on Android 8.1 Oreo. Something about a mismatch UID. Any suggestions would be greatly appreciated.

    ReplyDelete
  101. AnonymousJuly 20, 2023

    The modified apk won't install stating "There was a problem prasing the package."

    ReplyDelete
  102. What possible feature must I be losing from downgradinga wf-xm4 from 2.0.1 to 1.3.3?

    ReplyDelete
    Replies
    1. AnonymousJuly 27, 2023

      you will lost the feature of connect 2 devices simultaneously

      Delete
    2. Hi, is there an update planned for downgrading the XM4 from version 2.0.1 to try to get rid of the battery drain issue? I have only 35 minutes left after the last update, down from 55 minutes the day before the "upgrade" to the latest version.

      Tnx for your incredible work...

      Delete
    3. It works you can downgrade from 2.0.1 but unfortunately it won't fix the battery problems. It didn't for me at least.

      Delete
  103. Should I do this even though I haven't noticed any abnormal battery drain on my wf xm4?

    ReplyDelete
  104. Hello, unfortunately as of now the modified APK has a window saying 'The latest version of Headphones Connect is necessary to use this headphone. Update this app from Google Play.'

    Hope it can be resolved soon, thanks for your work on this!

    ReplyDelete